---
id: 65c4eb814cc977c95cd7df0e
title: Step 1
challengeType: 20
dashedName: step-1
---

# --description--

In this project, you are going to create a Binary Search Tree (BST). A BST is a data structure in which each node has at most two children, with the left child containing values less than the parent node and the right child containing values greater than the parent node, allowing for efficient searching and sorting operations.

This is what a Binary Search Tree looks like:

<img alt="a binary search tree" src="https://cdn.freecodecamp.org/curriculum/python/bst-example.png" style="background-color: white; height:500px; width:500px; padding: 10px; display: block; margin-right: auto; margin-left: auto; margin-bottom: 1.2rem;">

Begin by defining an empty `TreeNode` class. The `TreeNode` class represents a node in a binary search tree. Use the `pass` keyword to fill the class body and avoid an error.

# --hints--

You should use the `class` keyword to declare an empty class named `TreeNode`.

```js
({
  test: () => {
    assert(runPython(`
      import inspect
      inspect.isclass(TreeNode)
    `));
  }
})
```

# --seed--

## --seed-contents--

```py
--fcc-editable-region--

--fcc-editable-region--
```
